org.springframework.batch.core.jsr.configuration.support

## Class ThreadLocalClassloaderBeanPostProcessor

- java.lang.Object
- - org.springframework.batch.core.jsr.configuration.support.ThreadLocalClassloaderBeanPostProcessor

- All Implemented Interfaces:
    org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.Ordered, org.springframework.core.PriorityOrdered

      public class ThreadLocalClassloaderBeanPostProcessor
      extends java.lang.Object
      implements org.springframework.beans.factory.config.BeanFactoryPostProcessor, org.springframework.core.PriorityOrdered

  After the `BeanFactory` is created, this post processor will evaluate to see if any of the beans referenced from a job definition (as defined by JSR-352) point to class names instead of bean names. If this is the case, a new `BeanDefinition` is added with the name of the class as the bean name.
  Since:
    3.0
  Author:
    Michael Minella

- - ### Field Summary

    - ### Fields inherited from interface org.springframework.core.Ordered

      `HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThreadLocalClassloaderBeanPostProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOrder()` Sets this `BeanFactoryPostProcessor` to the lowest precedence so that it is executed as late as possible in the chain of `BeanFactoryPostProcessor`s
    `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ThreadLocalClassloaderBeanPostProcessor

          public ThreadLocalClassloaderBeanPostProcessor()

  - ### Method Detail

    - #### postProcessBeanFactory

          public void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory beanFactory)
                                      throws org.springframework.beans.BeansException

      Specified by:
        `postProcessBeanFactory` in interface `org.springframework.beans.factory.config.BeanFactoryPostProcessor`
      Throws:
        `org.springframework.beans.BeansException`

    - #### getOrder

          public int getOrder()

      Sets this `BeanFactoryPostProcessor` to the lowest precedence so that it is executed as late as possible in the chain of `BeanFactoryPostProcessor`s
      Specified by:
        `getOrder` in interface `org.springframework.core.Ordered`